#include <xvt.h>

#include <applicat.h>
#include <stdtypes.h>
#include <checks.h>

#include "ba1.h"

#define usage   "Errore - uso : ba1 [-{0|1|2|3|4}]"

int main(int argc,char** argv)
{
  int             rt = 0 ;
  
  check_parameters(argc, argv);

  if (argc == 1) 
    rt = ba1100(argc,argv);
  else
    if (argc >= 2)
    {
      const int r = (argc > 1) ? atoi(&argv[1][1]) : -1;

      switch (r)
      {
      case 0:
        rt = ba1100(argc,argv); break;
      case 1: 
        rt = ba1200(argc,argv); break;
      case 2:
        rt = ba1300(argc,argv); break;
      case 3:
        rt = ba1400(argc,argv); break;
      case 4:
        rt = ba1500(argc,argv); break;
      default:
        error_box(usage); break;
      }
    }
    else fatal_box(usage);
  return rt;
}


